Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.protocol
Class Status

    java.lang.Object
      oasis.names.tc.saml._1_0.protocol.Status

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class Status

extends Object
implements Serializable

Java class for StatusType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}StatusCode"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}StatusMessage" minOccurs="0"/>
             <element ref="{urn:oasis:names:tc:SAML:1.0:protocol}StatusDetail" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Status()`

Method Summary
`StatusCode` | `getStatusCode()` Gets the value of the statusCode property.
`StatusDetail` | `getStatusDetail()` Gets the value of the statusDetail property.
`String` | `getStatusMessage()` Gets the value of the statusMessage property.
`void` | `setStatusCode(StatusCode value)` Sets the value of the statusCode property.
`void` | `setStatusDetail(StatusDetail value)` Sets the value of the statusDetail property.
`void` | `setStatusMessage(String value)` Sets the value of the statusMessage property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Status

    public Status()

Method Detail

### getStatusCode

    public StatusCode getStatusCode()

  Gets the value of the statusCode property.

  Returns:
    possible object is `StatusCode`

### setStatusCode

    public void setStatusCode(StatusCode value)

  Sets the value of the statusCode property.

  Parameters:
    `value` - allowed object is `StatusCode`

### getStatusMessage

    public String getStatusMessage()

  Gets the value of the statusMessage property.

  Returns:
    possible object is `String`

### setStatusMessage

    public void setStatusMessage(String value)

  Sets the value of the statusMessage property.

  Parameters:
    `value` - allowed object is `String`

### getStatusDetail

    public StatusDetail getStatusDetail()

  Gets the value of the statusDetail property.

  Returns:
    possible object is `StatusDetail`

### setStatusDetail

    public void setStatusDetail(StatusDetail value)

  Sets the value of the statusDetail property.

  Parameters:
    `value` - allowed object is `StatusDetail`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.